-- Author      : Nogarder
-- Create Date : 2015/3/1 21:58:45
local RS_EventHandler_FireEvent=RS.EventHandler.FireEvent
-------------------
--the button
RS.MainButton=RS.Template.CreateButton(UIParent,30,30,nil)
RS.MainButton:SetPoint("TOP",GarrisonLandingPageMinimapButton,"BOTTOM",0,-10)
RS.MainButton:Show()
RS.MainButton:SetMovable(true)
RS.MainButton.Texture=RS.MainButton:CreateTexture(nil,"ARTWORK")
RS.MainButton.Texture:SetPoint("TOPLEFT",RS.MainButton,"TOPLEFT")
RS.MainButton.Texture:SetPoint("BOTTOMRIGHT",RS.MainButton,"BOTTOMRIGHT")
RS.MainButton.Texture:SetTexture("Interface\\LFGFrame\\UI-LFG-ICON-PORTRAITROLES")
RS.MainButton.Texture:SetTexCoord(0,0.27,0,0.3)

RS.MainButton:HookScript("OnMouseDown",function(self,button)
	if(button=="RightButton")then
		RS.MainButton:StartMoving()
	end
end)
RS.MainButton:HookScript("OnMouseUp",function(self,button)
	if(button=="RightButton")then
		RS.MainButton:StopMovingOrSizing()
	end
end)
RS.Template.CreateLinerBorder(RS.MainButton,2)
RS.Template.HideLinerBorder(RS.MainButton)

RS.MainButton:SetFrameStrata("DIALOG")

RS.MainButton:HookScript("OnMouseUp",function(_,button)
	if(button=="LeftButton")then
		if(RS.MainFrame:IsShown())then
			RS.MainFrame:Hide()
			RS.Template.HideLinerBorder(RS.MainButton)
		else
			RS.MainFrame:ClearAllPoints()
			RS.MainFrame:SetPoint("CENTER",UIParent,"CENTER",0,0)
			RS.MainFrame:Show()
			RS.Template.ShowLinerBorder(RS.MainButton)
		end
	elseif(button=="RightButton")then
		RS.HideTemplates()
		if(RS.OptionsMain:IsShown())then
			RS.ClosePages(RS.OptionsMainPage)
			RS.OptionsMain:Hide()
		else
			RS.OptionsMain:StopMovingOrSizing()
			RS.OptionsMain:ClearAllPoints()
			RS.OptionsMain:SetPoint("CENTER",UIParent,"CENTER",0,0)
			RS.Animation.ClearAll()
			RS.OptionsMain:Show()
			RS.Animation.ShowFrame(RS.OptionsMainPage)
			RS.OptionsMainPage:ClearAllPoints()
			RS.OptionsMainPage:SetPoint("CENTER",RS.OptionsMain,"CENTER",-50,120)
		end
	end
end)
--------

--register variables onload event
RS.EventHandler.RegisterEvent(0,"VARIABLES_LOADED","RS_MainFrame",function()
	RS_Profile=RS_Profile or {}
	--unregister onload event
	RS.EventHandler.RegisterEvent(0,"VARIABLES_LOADED","RS_MainFrame",nil)
	--start up onupdate function
	--print version info
	print("RaidSequence Build "..(RS.Version).." Loaded")
	print("/rs to toggle button display")
	--set slash command handler
	_G["SLASH_RS1"]="/RS"
	SlashCmdList["RS"]=function()
		--show/hide main button here
		if(RS.MainButton:IsShown())then
			RS.MainButton:Hide()
		else
			RS.MainButton:Show()
		end
	end

	RS.MainFrame:HookScript("OnShow",function()
		RS.EventHandler.FireEvent(1,"RS_MainFrame_OnShow")
	end)
	RS.MainFrame:HookScript("OnHide",function()
		RS.EventHandler.FireEvent(1,"RS_MainFrame_OnHide")
	end)
	
	--on setting loaded
	RS.EventHandler.FireEvent(1,"RS_SettingLoaded")
	RS.EventHandler.FireEvent(1,"RS_SettingUpdated")
end)

