-- Author      : Nogarder
-- Create Date : 2015/3/3 17:35:16

local FlexFrameList={}

local SetFlexFrame=function(flexframe,name,sequence)
	flexframe.TitleButton.Label:SetText(name)
	RS.Template.SetSequenceFrame(flexframe,sequence)
	RS.Template.UpdateSequenceFrame(flexframe)
	flexframe:Show()
end


local UpdateSequence=function()
	local count=1
	for name,sequence in pairs(RS_Profile) do
		if(not FlexFrameList[count])then
			FlexFrameList[count]=RS.Template.CreateFlexFrame(RS.MainFrame,function(self)
				RS.Template.UpdateSequenceFrame(self)
			end)
			RS.Template.CreateSequenceFrame(FlexFrameList[count])
		end
		SetFlexFrame(FlexFrameList[count],name,sequence)
		count=count+1
	end
	
	for i=count,table.getn(FlexFrameList) do
		FlexFrameList[i]:Hide()
	end
end

RS.EventHandler.RegisterEvent(1,"RS_SettingUpdated","SequenceManager",UpdateSequence)
RS.EventHandler.RegisterEvent(1,"RS_MainFrame_OnShow","SequenceManager",UpdateSequence)

RS.EventHandler.RegisterEvent(1,"RS_MainFrame_OnHide","SequenceManager",function()
	for i=1,table.getn(FlexFrameList) do
		FlexFrameList[i]:Hide()
	end
end)
