-- Author      : Nogarder
-- Create Date : 2015/3/1 22:15:48
--core version number
RS={}
--RS core version
RS.Version="2015.3.5"
--
RS.TextFont=GameFontNormal:GetFont()
RS.TextMode="OUTLINE"
RS.EnableUpdate=true
RS.ScrollSpeed=10
RS.UpdateInterval=1
--RS.InspectInterval=1
--store interface version
_,_,_,RS.InterfaceVersion=GetBuildInfo()
--header and macros
RS.Template={}
RS.SequenceFrames={}
--
--RS_Profile={
--	[sequencename]={
--		Vertical=false,
--		[1]={
--			[1]={
--				Name=membername,
--				SpellList={
--					[spellid]=spellcdtime
--				}
--			}
--		}
--	}
--}
RS.RaidMembers={} -- [name]=classname
--create mainframe
RS.MainFrame=CreateFrame("Frame","RS_MainFrame",UIParent)
RS.MainFrame:SetFrameStrata("DIALOG")
RS.MainFrame:SetWidth(1)
RS.MainFrame:SetHeight(1)
RS.MainFrame:Hide()
RS.MainFrame:SetMovable(true)
RS.MainFrame:SetPoint("CENTER",UIParent,"CENTER",0,0)


RS.OptionsMain=CreateFrame("Frame","RS_MainFrame",UIParent)
RS.OptionsMain:SetFrameStrata("DIALOG")
RS.OptionsMain:SetWidth(1)
RS.OptionsMain:SetHeight(1)
RS.OptionsMain:Hide()
RS.OptionsMain:SetMovable(true)
RS.OptionsMain:SetPoint("CENTER",UIParent,"CENTER",0,0)

--
--localization
if((not RS_Language) or RS_Language=="Default")then
	RS.Locale=GetLocale() 
else
	RS.Locale=RS_Language
end


RS.Localization={}
RS.AviliableLocalization={["Default ("..GetLocale()..")"]="Default"}
--
RS.RunFunc=function(func,...)
	if(func)then
		func(...)
	end
end

RS.SetTexCoord=function(texture,pack)
	pack=pack or {Left=0,Right=0,Top=0,Bottom=0}
	texture:SetTexCoord(pack.Left,pack.Right,pack.Top,pack.Bottom)
end

RS.SetTextColor=function(text,pack)
	pack=pack or {r=1,g=1,b=1,a=1}
	text:SetTextColor(pack.r,pack.g,pack.b,pack.a)
end


local startcolor={
	r=1,
	g=0,
	b=0,
	a=1,
}
local endcolor={
	r=0,
	g=1,
	b=0,
	a=1,
}
local stepcolor={
	r=endcolor.r-startcolor.r,
	g=endcolor.g-startcolor.g,
	b=endcolor.b-startcolor.b,
	a=endcolor.a-startcolor.a,
}
RS.SetTextColorByPercent=function(text,percent)
	local	r=startcolor.r+stepcolor.r*percent
	local	g=startcolor.g+stepcolor.g*percent
	local	b=startcolor.b+stepcolor.b*percent
	local	a=startcolor.a+stepcolor.a*percent
	text:SetTextColor(r,g,b,a)
end
RS.SetTextureColorByPercent=function(texture,percent)
	local	r=startcolor.r+stepcolor.r*percent
	local	g=startcolor.g+stepcolor.g*percent
	local	b=startcolor.b+stepcolor.b*percent
	local	a=startcolor.a+stepcolor.a*percent
	texture:SetTexture(r,g,b,a)
end
--macro for match path to name in lib
RS.CheckLib=function(value,libfunc)
	local data=libfunc() or {}
	for _,unit in pairs(data) do
		if(unit.Value==value)then
			return unit
		end
	end
end
